Linux Mint 18 suspend issue

After fresh installation of Linux Mint 18 64-bit, when I try to suspend screen goes black and system does not suspend (and power led stays on).

Preinstalled kernel with Linux Mint 18 is 4.4.0-21

I am using laptop TOSHIBA-SATELLITE-L50-B, with graphics Intel+AMD:

$ inxi -Fxz

Graphics:  Card-1: Intel Haswell-ULT Integrated Graphics Controller bus-ID: 00:02.0
           Card-2: Advanced Micro Devices [AMD/ATI] Jet PRO [Radeon R5 M230] bus-ID: 09:00.0
           Display Server: X.Org 1.18.3 drivers: ati,radeon,intel (unloaded: fbdev,vesa)
           Resolution: <a href="https://getridbug.com/cdn-cgi/l/email-protection" class="__cf_email__" data-cfemail="67565451511f50515f2751574957560f1d">[email protected]</a>

I’ve found solution and wanted to share in case someone else bumps into this.

Answers:

Thank you for visiting the Q&A section on Magenaut. Please note that all the answers may not help you solve the issue immediately. So please treat them as advisements. If you found the post helpful (or not), leave a comment & I’ll get back to you as soon as possible.

Method 1

I’ve solved this issue by installing new linux kernel “4.5.2-040502-generic” following this guidelines:

https://askubuntu.com/questions/761758/ubuntu-16-04-lts-cannot-suspend-fails-on-suspending

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1574125/comments/26

Install new kernel (4.5.2):

cd /tmp

wget 
kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.2-wily/linux-headers-4.5.2-040502_4.5.2-040502.201604200335_all.deb 
kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.2-wily/linux-headers-4.5.2-040502-generic_4.5.2-040502.201604200335_amd64.deb 
kernel.ubuntu.com/~kernel-ppa/mainline/v4.5.2-wily/linux-image-4.5.2-040502-generic_4.5.2-040502.201604200335_amd64.deb

sudo dpkg -i linux-headers-4.5*.deb linux-image-4.5*.deb

Reboot your system and try if suspend works.

In case something goes wrong with new kernel (4.5.2) reboot your computer and select Advanced options for Linux Mint 18 Cinnamon 64-bit in boot menu, then select your old kernel (4.4.0-21).


All methods was sourced from stackoverflow.com or stackexchange.com, is licensed under cc by-sa 2.5, cc by-sa 3.0 and cc by-sa 4.0

0 0 votes
Article Rating
Subscribe
Notify of
guest
0 Comments
Inline Feedbacks
View all comments